
%global meadversion 1.3.11
%global namedversion 1.3.11.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.3.11.Final-redhat-1

Name:             jboss-modules
Version:          %{meadversion}
Release:          %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          A Modular Classloading System
Group:            Development/Libraries

%if %with mead
Source100: jboss-modules-1.3.11.Final-redhat-1-scm-sources.zip
Source102: jboss-modules-1.3.11.Final-redhat-1-project-sources.tar.gz
Source103: jboss-modules-1.3.11.Final-redhat-1-sources.jar
Source104: jboss-modules-1.3.11.Final-redhat-1-javadoc.jar
Source105: jboss-modules-1.3.11.Final-redhat-1.jar
Source106: jboss-modules-1.3.11.Final-redhat-1.pom
%endif

License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-modules

%if %without mead
# git clone git://github.com/jbossas/jboss-modules.git
# cd jboss-modules/ && git archive --format=tar --prefix=jboss-modules-1.1.0.CR4/ 1.1.0.CR4 | xz > jboss-modules-1.1.0.CR4.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz
%endif

BuildArch:        noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:    jpackage-utils
%if %without mead
BuildRequires:    maven
BuildRequires:    jboss-parent
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    apiviz
BuildRequires:    junit4
%endif

Requires:         jpackage-utils

%description
Ths package contains A Modular Classloading System.

%if %with javadoc
%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.
%endif

%prep
%if %without mead
%setup -q -n %{name}-%{namedversion}
%endif

%build
%if %without mead
mvn-rpmbuild install javadoc:aggregate
%endif

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
%if %without mead
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# POM
%if %without mead
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%else
install -pm 644 %{_sourcedir}/%{name}-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%endif

# DEPMAP
%add_to_maven_depmap org.jboss.modules jboss-modules %{namedversion} JPP %{name}

%if %with javadoc
# JAVADOC
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%if %without mead
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
%else
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif
%endif

%files
%defattr(-,root,root,-)
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc

%if %with javadoc
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Tue Aug 07 2018 Aurel Pintea <apintea@redhat.com> - 1.3.11-1.Final_redhat_1.1
- Upgrade to 1.3.11.Final

* Thu Jun 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.10-1.Final_redhat_1.1
- Upgrade to 1.3.10.Final

* Tue May 23 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.9-1.Final_redhat_1.1
- Upgrade to 1.3.9.Final

* Wed Feb 08 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.8-1.Final_redhat_1.1
- Upgrade to 1.3.8.Final

* Mon Jun 15 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.7-1.Final_redhat_1.1
- Upgrade to 1.3.7.Final

* Mon Nov 24 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.6-1.Final_redhat_1.1
- Upgrade to 1.3.6.Final

* Sat Nov 22 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.5-1.Final_redhat_1.1
- Upgrade to 1.3.5.Final

* Wed Aug 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.4-1.Final_redhat_1.1
- Upgrade to 1.3.4.Final

* Fri Mar 14 2014 Paul Gier <pgier@redhat.com> - 1.3.3-1.Final_redhat_1.1
- Upgrade to 1.3.3.Final

* Tue Mar 04 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.1-1.Final_redhat_1.1
- Upgrade to 1.3.1.Final

* Sun Sep 22 2013 Hui Wang <huwang@redhat.com> - 1.3.0-1.Final_redhat_1
- Upgrade to 1.3.0.Final

* Thu Jul 11 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.2.2-1.Final_redhat_1
- Upgrade to 1.2.2.Final

* Wed Apr 24 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.2.0-2.Final_redhat_1
- Upgrade to 1.2.0.Final

* Sun Feb 17 2013 Yong Yang <yyang@redhat.com> - 1.2.0-1.CR1_redhat_1
- 1.2.0.CR1

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.3-2.GA_redhat_1.1
- Rebuild for MD5

* Wed Sep 19 2012 Hui Wang <huwang@redhat.com> - 1.1.3-1.GA_redhat_1.1
- Rebuild for MD5

* Fri Aug 24 2012 Hui Wang <huwang@redhat.com> - 1.1.3-1.GA_redhat_1
- Upgrade to 1.1.3.GA

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_2.5
- Rebuild unsigned

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_2.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_1.1
- Rebuild using cache signing

* Thu May 24 2012 Fernando Nasser <fnasser@redhat.com> 1.1.0-3.GA_redhat_1
- Rebuild to clean MANIFEST.MF in the unsigned JAR

* Fri May 11 2012 Hui Wang <huwang@redhat.com> 1.1.2-2.GA_redhat_1.1
- Remove javadoc files from main package

* Wed May 02 2012 Hui Wang <huwang@redhat.com> 1.1.2-1.GA_redhat_1.1
- Upgrade to 1.1.2.GA

* Thu Apr 12 2012 Fernando Nasser <fnasser@redhat.com> 1.1.0-2.GA_redhat_1
- Populate javadir-signed

* Mon Feb 20 2012 Hui Wang <huwang@redhat.com> 1.1.0-1.GA_redhat_1.1
- Upgrade to 1.1.1.GA

* Thu Feb 09 2012 Fernando Nasser <fnasser@redhat.com> 1.1.0-0.2.CR6_redhat_1.2
- Resigned with 2011 key

* Tue Jan 10 2012 Fernando Nasser <fnasser@redhat.com> 1.1.0-0.2.CR6_redhat_1.1
- Wrap MEAD build for EAP 6

* Fri Dec 02 2011 Marek Goldmann <mgoldman@redhat.com> 1.1.0-0.1.CR4
- Upstream release 1.1.0.CR4

* Tue Aug 02 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.2-1
- Initial packaging

